/******************************************************************************

  main.C

  Stephen Freund
  freunds@cs.stanford.edu

  Loads the graph from file, and then finds the optimal flow for it.

******************************************************************************/

#include <iostream.h>
#include "CHeap.h"
#include "CGraph.h"
#include <fstream.h>
#include "CNode.h"
#include <stdlib.h>

void main(int argc, char **argv)  {
  double EdgeScale;
  double CommodityScale;
  CGraph graph;
  fstream in1;
	 	
  if (argc > 1)  {
    CommodityScale = atof(argv[1]);
  } else {
    CommodityScale = 1;
  }

  if (argc > 2) {
    EdgeScale = atof(argv[2]);
  } else {
    EdgeScale = 1;
  }

  cout << "edge scale: " << EdgeScale << "\n";
  cout << "comm scale: " << CommodityScale << "\n";

#ifdef USE_MATRIX
  graph.ReadGraphFromMatrixInput(cin, EdgeScale, CommodityScale);
#else
  graph.ReadGraphFromFormattedInput(cin, EdgeScale, CommodityScale);
#endif

  cout << graph;

  graph.Balance();

#ifdef PRINT_FLOW
  graph.PrintFlow();
#endif
}






